Subject: Re: linux-next: duplicate patches in the bluetooth tree

From: Paolo Abeni <[email-masked]>
Date: Wed, 25 Jun 2025 09:24:52 +0200

Hi,

On 6/25/25 3:16 AM, Stephen Rothwell wrote:
> The following commits are also in the net tree as different commits
> (but the same patches):
> 
>   4500d2e8da07 ("Bluetooth: hci_core: Fix use-after-free in vhci_flush()")
>   6c31dab4ff1e ("driver: bluetooth: hci_qca:fix unable to load the BT driver")
>   d5c2d5e0f1d3 ("Bluetooth: L2CAP: Fix L2CAP MTU negotiation")
>   866fd57640ce ("Bluetooth: btintel_pcie: Fix potential race condition in firmware download")
> 
> These are commits
> 
>   1d6123102e9f ("Bluetooth: hci_core: Fix use-after-free in vhci_flush()")
>   db0ff7e15923 ("driver: bluetooth: hci_qca:fix unable to load the BT driver")
>   042bb9603c44 ("Bluetooth: L2CAP: Fix L2CAP MTU negotiation")
>   89a33de31494 ("Bluetooth: btintel_pcie: Fix potential race condition in firmware download")
> 
> in the net tree.

I think it's an artifact of the BT tree being rebased. I pulled from:

git://git.kernel.org/pub/scm/linux/kernel/git/bluetooth/bluetooth.git
tags/for-net-2025-06-23

It looks like the first set of commits is no more reachable in the bt
tree, so the 'net' ones should be the "correct" commits set. @Luiz:
could you please confirm?

Thanks,

Paolo